wxHtmlLinkInfo Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxHtmlLinkInfo Class Reference
Class List by Category » HTML

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/html/htmlcell.h>`

Inheritance diagram for wxHtmlLinkInfo:
[legend]

## Detailed Description

This class stores all necessary information about hypertext links (as represented by <A> tag in HTML documents).

In current implementation it stores URL and target frame name.

Note
  Frames are not currently supported by wxHTML!

##

Library: wxHTML
Category: HTML

## Public Member Functions
| wxHtmlLinkInfo ()
| Default ctor.
| wxHtmlLinkInfo (const wxString &href, const wxString &target=wxEmptyString)
| Construct hypertext link from HREF (aka URL) and TARGET (name of target frame).
const wxMouseEvent * | GetEvent () const
| Return pointer to event that generated OnLinkClicked() event.
wxString | GetHref () const
| Return HREF value of the <A> tag.
const wxHtmlCell * | GetHtmlCell () const
| Return pointer to the cell that was clicked.
wxString | GetTarget () const
| Return TARGET value of the <A> tag (this value is used to specify in which frame should be the page pointed by GetHref() Href opened).
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxHtmlLinkInfo() [1/2]

wxHtmlLinkInfo::wxHtmlLinkInfo | ( |  | ) |

Default ctor.

## ◆ wxHtmlLinkInfo() [2/2]

wxHtmlLinkInfo::wxHtmlLinkInfo | ( | const wxString & | href,
|  | const wxString & | target = wxEmptyString )

Construct hypertext link from HREF (aka URL) and TARGET (name of target frame).

## Member Function Documentation

## ◆ GetEvent()

const wxMouseEvent * wxHtmlLinkInfo::GetEvent | ( |  | ) | const

Return pointer to event that generated OnLinkClicked() event.

Valid only within wxHtmlWindow::OnLinkClicked, NULL otherwise.

## ◆ GetHref()

wxString wxHtmlLinkInfo::GetHref | ( |  | ) | const

Return HREF value of the <A> tag.

## ◆ GetHtmlCell()

const wxHtmlCell * wxHtmlLinkInfo::GetHtmlCell | ( |  | ) | const

Return pointer to the cell that was clicked.

Valid only within wxHtmlWindow::OnLinkClicked, NULL otherwise.

## ◆ GetTarget()

wxString wxHtmlLinkInfo::GetTarget | ( |  | ) | const

Return TARGET value of the <A> tag (this value is used to specify in which frame should be the page pointed by GetHref() Href opened).